#ifndef UTILS_FILESYSTEM_HPP
#define UTILS_FILESYSTEM_HPP

#include "utils.hpp"
#include <string>
#include <vector>

namespace utils
{
typedef std::vector<std::string> string_vector;

bool file_exists(const std::string& file);
string_vector get_directory_list(const std::string& sRelPath);
string_vector get_file_list(const std::string& sRelPath, bool bWithPath = false);
string_vector get_file_list(const std::string& sRelPath, bool bWithPath, const std::string& sExtensions);
}

#endif
